Summary:        Alternative warn and die for modules
Name:           perl-Carp
Version:        1.50
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Carp
Source0:        https://cpan.metacpan.org/authors/id/X/XS/XSAWYERX/Carp-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators, perl-interpreter, perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(warnings), perl(strict), perl(Exporter), perl(B)
BuildRequires:  perl(Config), perl(Data::Dumper), perl(IPC::Open3)
BuildRequires:  perl(overload), perl(Test::More) >= 0.47

%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(DB\\)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(IPC::Open3\\)

%description
The Carp routines are useful in your own modules because they act like
die() or warn(), but with a message which is more likely to be useful to a
user of your module. In the case of cluck, confess, and longmess that
context is a summary of every call in the call-stack. For a shorter message
you can use carp or croak which report the error as being from where your
module was called. There is no guarantee that that is where the error was,
but it is a good educated guess.



%prep
%autosetup -n Carp-%{version}



%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build



%install
%make_install
%{_fixperms} %{buildroot}/*



%check
export HARNESS_OPTIONS=j%{_smp_build_ncpus}
make test



%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.50-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.50-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.50-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.50-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 11 2022 cunshunxia <cunshunxia@tencent.com> - 1.50-1
- initial build
